> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a holiday



## OpenAPI

````yaml /spec/openapi.json get /holidays/{holiday}
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /holidays/{holiday}:
    get:
      tags:
        - Holidays
      summary: Retrieve a holiday
      operationId: holidays-show
      parameters:
        - name: holiday
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"holiday"`).
                    readOnly: true
                  data:
                    $ref: '#/components/schemas/Holiday'
              example:
                id: <id>
                object: holiday
                data:
                  jurisdiction: ca_on
                  type: statutory
                  name: Canada Day
                  name_translations:
                    en: Canada Day
                    fr: Fête du Canada
                  name_translated: Canada Day
                  original_date: '2026-07-01'
                  observed_date: '2026-07-01'
                  created_at: '2026-01-01T00:00:00.000000Z'
                  updated_at: '2026-01-01T00:00:00.000000Z'
                links:
                  self: /holidays/<id>
components:
  schemas:
    Holiday:
      type: object
      title: Holiday
      properties:
        jurisdiction:
          type: string
          nullable: true
        type:
          type: string
          enum:
            - bank
            - statutory
        name:
          type: string
          nullable: true
        name_translations:
          type: object
          nullable: true
          properties:
            en:
              type: string
              nullable: true
            fr:
              type: string
              nullable: true
        name_translated:
          type: string
          description: >-
            The translation of the `name` property for the request locale.
            Computed using the values in `name` and `name_translations` and the
            value of the request's `Accept-Language` header.
          readOnly: true
        original_date:
          type: string
          format: date
        observed_date:
          type: string
          format: date
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````